#ryax-library-header
  h1 Action library
  #ryax-head-buttons
    button(nz-button, nzShape="circle", nzType="link", (click)="refresh()")
      i(nz-icon, nzType="redo", nzTheme="outline")
    button(nz-button, nzGhost, nzType="primary", (click)="displayModal = true") Add

#ryax-library-content
  nz-card(nz-col, nzSpan="12")
    h2 Repositories
    ng-container(*ngIf="repositories$ | async as repositories")
      nz-table([nzData]="repositories", #repositoriesTable, [nzPageSize]="10", [nzPageIndex]="1", [nzHideOnSinglePage]="true",
        [nzOuterBordered]="true", nzSize="middle", [nzFrontPagination]="true", [nzLoading]="repositoriesLoading$ | async")
        thead
          tr
            th Name
            th Repository URL
            th Actions state
        tbody
          tr(*ngFor="let repository of repositoriesTable.data", [routerLink]="'/library/repository/' + repository.id" )
            td {{ repository.name }}
            td {{ repository.url }}
            td
              ng-container(*ngIf="repository.lastScanSummary else noScan")
                ryax-scan-summary([summary]="repository.lastScanSummary")
              ng-template(#noScan)
                td(colspan="3") No scan for this repo yet

  #ryax-action-list(nz-col, nzSpan="12")
    nz-spin([nzSpinning]="actionListLoading$ | async")
      nz-input-group([nzSuffix]="suffixIconSearch")
        input(type="text", nz-input, placeholder="Search", [(ngModel)]="searchTerm")
      ng-template(#suffixIconSearch)
        i(nz-icon, nzType="search")

      ng-container(*ngIf="actionList$ | async as actionList")
        ul
          li(*ngFor="let action of actionList | filterName : searchTerm | paginate : pageNumber : pageSize")
            ryax-action-mini-card([action]="action", [routerLink]="'/library/action/' + action.id")
        nz-pagination(
          [nzHideOnSinglePage]="true", [(nzPageIndex)]="pageNumber", [nzPageSize]="pageSize",
          [nzTotal]="(actionList | filterName : searchTerm).length"
        )

nz-modal([(nzVisible)]="displayModal", nzTitle="Add a Repository", (nzOnCancel)="cancelNewRepo()", (nzOnOk)="addNewRepo()")
  ng-container(*nzModalContent)
    form(nz-form, [formGroup]="gitInfoForm")
      nz-form-item
        nz-form-label(nzFor="git")
          span Repository name
        nz-form-control
          input(nz-input, placeholder="My repository", id="git", formControlName="name")
          p Example: Ryax Default
        nz-form-label(nzFor="url")
          span Repository url
        nz-form-control
          input(nz-input, placeholder="https://github/myteam/repository.git", formControlName="url", id="repository_url")
          p
            | Example:&nbsp;
            a(href="https://gitlab.com/ryax-tech/workflows/default-actions.git") https://gitlab.com/ryax-tech/workflows/default-actions.git
      ng-container(*ngIf="withCreds else noCreds")
        nz-form-item
          nz-form-label(nzFor="cred")
            span Git credentials
          nz-form-control
            .ryax-form-inputs
              input(nz-input, placeholder="username", id="cred", formControlName="username", autocomplete="new-password")
              input(nz-input, type="password", placeholder="password", formControlName="password", autocomplete="new-password")
        a(nz-button, nzType="primary", nzGhost, (click)="removeCredentials()") No credentials
      ng-template(#noCreds)
        a(nz-button, nzType="primary", nzGhost, (click)="addCredentials()") With credentials?
